Bug 1031895 - Fedora 20 Beta ppc64 is unable to boot to graphical installer with nouveau
Fedora 20 Beta ppc64 is unable to boot to graphical installer with nouveau
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
20
ppc64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 00:24 EST by Erik Larsson
Modified: 2015-06-29 08:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:59:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output from first attempt to boot the Fedora 20 installer (249.63 KB, text/plain)
2013-11-19 00:24 EST, Erik Larsson
no flags Details
dmesg output from second attempt to boot the Fedora 20 installer (249.41 KB, text/plain)
2013-11-19 00:24 EST, Erik Larsson
no flags Details
lshw output from existing Ubuntu 13.10 (ppc w/ppc64 kernel) instance (18.36 KB, text/plain)
2013-11-19 00:28 EST, Erik Larsson
no flags Details
lshw output from existing Ubuntu 13.10 (ppc w/ppc64 kernel) instance (18.20 KB, text/plain)
2013-11-19 00:33 EST, Erik Larsson
no flags Details

  None (edit)
Description Erik Larsson 2013-11-19 00:24:01 EST
Created attachment 825887 [details]
dmesg output from first attempt to boot the Fedora 20 installer

Description of problem:
When booting the install CD/DVD (netinst) of Fedora 20 Beta ppc64, nouveau throws a lot of error messages during boot, and when the grapical Anaconda installer attempts to start, the screen is just filled with garbage.

Version-Release number of selected component (if applicable):
20-Beta (ppc64)

How reproducible:
100%

Steps to Reproduce:
1. Boot Fedora 20 Beta ppc64 netinst image on a PowerMac 11,2 (PowerMac G5 Dual 2.3 GHz, late 2005).
2. Watch the error messages roll by after nouveau initialization.
3. Watch the Anaconda installer outputting garbage on the screen.

Actual results:
Error messages, unable to use X11/the Anaconda installer.

Expected results:
No error messages, Anaconda GUI installer usable.

Additional info:
Graphics card is a GeForce 6600, stock Mac model that came with the computer.
Comment 1 Erik Larsson 2013-11-19 00:24:41 EST
Created attachment 825888 [details]
dmesg output from second attempt to boot the Fedora 20 installer
Comment 2 Erik Larsson 2013-11-19 00:28:13 EST
Created attachment 825889 [details]
lshw output from existing Ubuntu 13.10 (ppc w/ppc64 kernel) instance
Comment 3 Erik Larsson 2013-11-19 00:33:05 EST
Created attachment 825890 [details]
lshw output from existing Ubuntu 13.10 (ppc w/ppc64 kernel) instance

Fixed language (Swedish->English).
Comment 4 dehua.yang 2013-11-19 02:16:18 EST
Similar case here. I booted Fedora 20 Beta PPC64 DVD successfully by OpenFirmware(CDROM doesn't boot) until the Anaconda started, there was no error appeared during the booting process. Then the screen was filled with colorful rectangles(white, green, purple and black) and stuck there. This may concern with Nouveau driver's acceleration, because I have same problem on Gentoo PPC64 when Nouveau acceleration is enabled.  My computer is Apple G5, PowerMac7,2, late 2003. The graphics card is GeForce 6800Ultra DDL.
Comment 5 Erik Larsson 2013-11-19 02:35:10 EST
Here is a workaround to get you to the Anaconda graphical installer screen:

When you are in GRUB, select the first entry in the list and press 'e' to edit the entry before boot. Then add 'nouveau.noaccel=1' to the end of the line starting with 'linux'.

I.e. the line:
   linux /ppc/ppc${2}/vmlinuz  ro

Should look like this:
   linux /ppc/ppc${2}/vmlinuz  ro nouveau.noaccel=1
Comment 6 dehua.yang 2013-11-19 19:18:06 EST
Thank you, Erik. Can I boot to a console, then launch Anaconda manually?
Comment 7 Erik Larsson 2013-11-20 00:48:53 EST
(In reply to dehua.yang from comment #6)
> Thank you, Erik. Can I boot to a console, then launch Anaconda manually?

There's probably some way to do that, but I'm no expert on the Fedora boot process. Google might help you.
Why would you want to do this? If you need a console you have one available on virtual tty2 (Ctrl-Alt-F2).
Comment 8 dehua.yang 2013-11-20 21:10:45 EST
Well, it seems I am more comfortable with a console. Many times graphics applications could lockup the system so hard, that I can't open anoher VT because the keyboard doesn't respond any more.
The Nouveau driver for PowerMac G5 could be a real problem with many current distributions. I tried Lubuntu 13.10 Powerpc Desktop also, I has the same problem  as Fedora 20 Beta and Gentoo PPC64. Nouveau acceleration doesn't work, it will lock the GPU up with many errors like:
ERROR nsource: LIMIT_COLOR nstatus: PROTECTION_FAULT
failed to idle channel 0xcccc0001 [Xorg[29747]]
DRM lockup - switching to fbcon
... ...
I really wish this problem could be ironed out soon.
Comment 9 dehua.yang 2013-11-22 07:33:01 EST
I updated my system, now with:
kernel 3.12.1
mesa 9.2.3
nouveau 1.0.10
xorg-server 1.14.4
After I put option '"ShadowBF" "true"' in xorg.conf, the nouveau driver works with acceleration on gentoo ppc64.  In glxinfo it has "direct rendering: Yes", and no nouveau error in dmesg and Xorg.0.log. I'll try to boot Fedora 20 Beta with acceleration(without acceleration it boots successfully).
Comment 10 dehua.yang 2013-11-22 08:11:41 EST
I just tried to boot Fedora 20 Beta DVD, the result is as following:
1). Using OpenFirmware with kernel command line "nouveau.noaccel=1" in grub, the DVD boots into Adaconda successfully.
2). When "nouveau.shadowfb=1" is used in grub, the problem persists.
Can't transfer ShadowFB param to nouveau driver by "nouveau.shadowfb" in kernel command line?
Comment 11 Erik Larsson 2013-11-22 09:09:01 EST
(In reply to dehua.yang from comment #10)
> I just tried to boot Fedora 20 Beta DVD, the result is as following:
> 1). Using OpenFirmware with kernel command line "nouveau.noaccel=1" in grub,
> the DVD boots into Adaconda successfully.
> 2). When "nouveau.shadowfb=1" is used in grub, the problem persists.
> Can't transfer ShadowFB param to nouveau driver by "nouveau.shadowfb" in
> kernel command line?

No, the module params for nouveau are very few. I suggest you boot install media with 'nouveau.noaccel=1', install Fedora, boot from installed Fedora with 'nouveau.noaccel=1', fix up xorg.conf with the ShadowFB option and reboot without 'nouveau.noaccel=1'.
I haven't tried this, so it would be interesting to know if 3D acceleration can be made to work.
Comment 12 dehua.yang 2013-11-22 20:17:28 EST
Thank you. I'll do as you suggested if we still have this glitch when Fedora 20 becomes GA.
Actually this is not HW acceleration by using ShadowFB. In Xorg.0.log there is "Using Shadow Framebuffer - acceleration disabled", so I still have a broken nouveau driver with acceleration. When using ShadowFB it seems the graphics operations are faster than that NoAccel option is enabled on my system. The 3D seems not supported, there is no difference in FPS when running glxgears in both situations(40fps in may case).
Comment 13 EMR_Fedora 2014-03-12 00:33:10 EDT
Erik Larsson your recommendation worked for me running Fedora 20 PPC 64-bit release on a Mac G5 with NVidia video card! Thanks! :)
Comment 14 Fedora End Of Life 2015-05-29 05:47:59 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-06-29 08:59:16 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.